<div class="container d-flex justify-content-center">
  <form [formGroup]="detailsGroup" (ngSubmit)="saveDetails()" >
    <div class="row">
      <div class="form-group col col-md-4">
        <label for="document">Numero De Documento</label>
        <input formControlName="documentNumber" type="text" id="document" class="form-control">
        <div class=" " role="alert" *ngIf="detailsGroup.get('documentNumber').invalid
        && detailsGroup.get('documentNumber').dirty ">
          <div class=" mb-0" *ngIf="detailsGroup.get('documentNumber').errors.required">
            <p class="validations">Este campo es requerido</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('documentNumber').errors.minlength" >
            <p class="validations">Mínimo 8 caracteres</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('documentNumber').errors.maxlength">
            <p class="validations">Este campo debe contener como máximo 12 caracteres</p>
          </div>
        </div>
      </div>
      <div class="form-group col col-md-4">
        <label for="telefono">Telefono</label>
        <input formControlName="phone" type="text" id="telefono" class="form-control">
        <div class=" " role="alert" *ngIf="detailsGroup.get('phone').invalid
        && detailsGroup.get('phone').dirty ">
          <div class=" mb-0" *ngIf="detailsGroup.get('phone').errors.required">
            <p class="validations">Este campo es requerido</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('phone').errors.minlength" >
            <p class="validations">Mínimo 5 caracteres</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('phone').errors.maxlength">
            <p class="validations">Máximo 10 caracteres</p>
          </div>
        </div>

      </div>
      <div class="form-group col col-md-4">
        <label for="email">Email Personal</label>
        <input formControlName="emailPersonal" type="text" id="email" class="form-control">
        <div class=" " role="alert" *ngIf="detailsGroup.get('emailPersonal').invalid
        && detailsGroup.get('emailPersonal').dirty ">
          <div class=" mb-0" *ngIf="detailsGroup.get('emailPersonal').errors.required">
            <p class="validations">Este campo es requerido</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('emailPersonal').errors.email" >
            <p class="validations">Ingrese un email valido</p>
          </div>

        </div>

      </div>
    </div>
    <div class="row">
      <div class="form-group col col-md-12">
        <label for="address">Direccion</label>
        <input formControlName="address" type="text" id="address" class="form-control">
        <div class=" " role="alert" *ngIf="detailsGroup.get('address').invalid
        && detailsGroup.get('address').dirty ">
          <div class=" mb-0" *ngIf="detailsGroup.get('address').errors.required">
            <p class="validations">Este campo es requerido</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('address').errors.minlength" >
            <p class="validations">Minimo 5 caracteres</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('address').errors.maxlength" >
            <p class="validations">Maximo 100 caracteres</p>
          </div>

        </div>

      </div>
    </div>
    <div class="row">
      <div class="form-group col col-md-4">
        <label for="initials">Iniciales</label>
        <input formControlName="initialsSchedule" type="text" id="initials" class="form-control">
        <div class=" " role="alert" *ngIf="detailsGroup.get('initialsSchedule').invalid
        && detailsGroup.get('initialsSchedule').dirty ">
          <div class=" mb-0" *ngIf="detailsGroup.get('initialsSchedule').errors.required">
            <p class="validations">Este campo es requerido</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('initialsSchedule').errors.minlength" >
            <p class="validations">Mínimo 3 caracteres</p>
          </div>
          <div  class="mb-0" *ngIf="detailsGroup.get('initialsSchedule').errors.maxlength">
            <p class="validations">Máximo 3 caracteres</p>
          </div>
        </div>

      </div>
      <div class="col col-md-4 form-group">
        <label for="documentType">Tipo de documento</label>
        <select class="form-control" name="documentType" formControlName="documentType" id="documentType">
          <option value="CC">CC</option>
          <option value="CE">CE</option>
          <option value="TI">TI</option>
          <option value="PASAPORTE">Pasaporte</option>
        </select>
      </div>
      <div class="col col-md-4 form-group">
        <label for="gender">Genero</label>
        <select class="form-control" name="genero" formControlName="gender" id="gender">
          <option value="MALE">Hombre</option>
          <option value="FEMALE">Mujer</option>
          <option value="OTHER">Otro</option>
        </select>
      </div>
    </div>
    <div class="d-flex flex-row-reverse ">

      <button type="submit" class="btn btn-primary " [disabled]="detailsGroup.invalid">Registrar</button>
    </div>
    <div class="col col-md-12 alert alert-success mt-4" *ngIf="created">
      <p>Registrado exitosamente</p>
      <div class="d-flex align-items-center">
        <strong>Loading...</strong>
        <div class="spinner-border ml-auto" role="status" aria-hidden="true"></div>
      </div>
    </div>
  </form>
</div>
